Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1547733

Summary: Review Request: nodejs-conventional-recommended-bump - Get a recommended version bump based on conventional commits
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-31 20:58:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1547696    
Bug Blocks: 956806    

Comment 1 Robert-André Mauchin 2018-02-22 11:54:49 UTC
 - Some dependencies are missing:

DEBUG util.py:482:  BUILDSTDERR: No matching package to install: 'npm(git-raw-commits)'
DEBUG util.py:482:  BUILDSTDERR: No matching package to install: 'npm(git-semver-tags)'
DEBUG util.py:482:  BUILDSTDERR: Not all dependencies satisfied
DEBUG util.py:482:  BUILDSTDERR: Error: Some packages could not be found.

Comment 2 Jared Smith 2018-03-27 16:37:05 UTC
These dependencies are now in rawhide -- mind finishing the review?

Comment 3 Robert-André Mauchin 2018-03-27 17:38:04 UTC
Tests are failing. See the logs: https://koji.fedoraproject.org/koji/taskinfo?taskID=26005553

Comment 5 Robert-André Mauchin 2018-03-29 15:43:38 UTC
DEBUG util.py:482:  BUILDSTDERR: Error: 
DEBUG util.py:482:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:482:  BUILDSTDERR:   - nothing provides (npm(conventional-changelog-preset-loader) >= 1.1.8 with npm(conventional-changelog-preset-loader) < 2) needed by nodejs-conventional-recommended-bump-2.0.8-1.fc29.noarch


npm(conventional-changelog-preset-loader) is 1.1.5 in Rawhide. 1.1.8 was published 2 days ago: https://github.com/conventional-changelog/conventional-changelog/commit/aee8b8ef50643b17cb4c79c00a0dd87a313cad8a

Either relax the deps or update npm(conventional-changelog-preset-loader)


Package otherwise approved.

Comment 6 Jared Smith 2018-03-29 17:04:08 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/5526.

Comment 7 Jared Smith 2018-03-29 17:05:20 UTC
For what it's worth, I built conventional-changelog-preset-loader version 1.1.8 earlier today.  https://koji.fedoraproject.org/koji/taskinfo?taskID=26042912

Comment 8 Jason Tibbitts 2018-03-30 22:18:27 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-conventional-recommended-bump

Comment 9 Jared Smith 2018-03-31 20:58:57 UTC
Packaged in Rawhide, closing this issue